classdef hhpkg < cns_package
methods (Static)

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

% Synapse types: 1=AMPA, 2=NMDA, 3=GABAA, 4=GABAB, 11=compartment.

f.dt = 100e-6; % Length of one time step (s).

f.spk_dur = {'mp', 'int'}; % Duration of one spike's effect on a synapse (steps).
f.E_spk   = {'mp'};        % Spike threshold potential (mV).
f.alpha   = {'mp', 'mv'};  % Synaptic opening rate (s-1).
f.beta    = {'mp', 'mv'};  % Synaptic closing rate (s-1).
f.E_syn   = {'mp', 'mv'};  % Synaptic reversal potential (mV).

f.spk_dur_dflt = round(1.099e-3 / f.dt);
f.E_spk_dflt   = -20;

end

%-----------------------------------------------------------------------------------------------------------------------

end
end