classdef hhpkg_GA < hhpkg_active
methods (Static)

% Golomb-Amitai neuron.
% David Golomb and Yael Amitai.  Propagating Neuronal Discharges in Neocortical Slices: Computational and Experimental
% Study.  Journal of Neurophysiology 78(3), 1997, pp. 1199-1211.

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.E_L_dflt  = -70;
f.E_Na_dflt = 55;
f.E_K_dflt  = -90;

f.g_Nabar  = {'lp', 'private'}; % Fast sodium conductance (uS).
f.g_NaPbar = {'lp', 'private'}; % Persistent sodium conductance (uS).
f.g_Kdrbar = {'lp', 'private'}; % Delayed rectifier potassium conductance (uS).
f.g_KAbar  = {'lp', 'private'}; % A-type potassium conductance (uS).
f.g_Ksbar  = {'lp', 'private'}; % Slow potassium conductance (uS).

f.g_L_spec      = 0.02 * 1e3; % (uS/cm2)
f.g_Nabar_spec  = 24.0 * 1e3; % (uS/cm2)
f.g_NaPbar_spec = 0.07 * 1e3; % (uS/cm2)
f.g_Kdrbar_spec = 3.0  * 1e3; % (uS/cm2)
f.g_KAbar_spec  = 1.4  * 1e3; % (uS/cm2)
f.g_Ksbar_spec  = 1.0  * 1e3; % (uS/cm2)

f.h = {'cv', 'private'}; % Fast sodium activation (dimensionless).
f.n = {'cv', 'private'}; % Delayed rectifier potassium activation (dimensionless).
f.b = {'cv', 'private'}; % A-type potassium activation (dimensionless).
f.z = {'cv', 'private'}; % Slow potassium activation (dimensionless).

end

%-----------------------------------------------------------------------------------------------------------------------

end
end