#PART start

    float dt_ur_ms = DT * 100.0f;

    float h = READ_H;
    float n = READ_N;

#PART middle

    // All numerical constants are unchanged from Wang & Buzsaki 1996.

    float a, b;

    a = -0.1f * (v_m + 35.0f) / (exp(-0.1f * (v_m + 35.0f)) - 1.0f);
    b = 4.0f * exp(-(v_m + 60.0f) / 18.0f);
    float m_inf = a / (a + b);

    const float zeta = 5.0f;

    a = 0.07f * exp(-(v_m + 58.0f) / 20.0f);
    b = 1.0f / (exp(-0.1f * (v_m + 28.0f)) + 1.0f);
    h += zeta * (a * (1.0f - h) - b * h) * dt_ur_ms;

    a = -0.01f * (v_m + 34.0f) / (exp(-0.1f * (v_m + 34.0f)) - 1.0f);
    b = 0.125f * exp(-(v_m + 44.0f) / 80.0f);
    n += zeta * (a * (1.0f - n) - b * n) * dt_ur_ms;

    i_tot += G_NABAR * (v_m - E_NA) * m_inf * m_inf * m_inf * h;
    i_tot += G_KBAR  * (v_m - E_K ) * n * n * n * n;

#PART end

    WRITE_H(h);
    WRITE_N(n);
