classdef hhpkg_WB < hhpkg_active
methods (Static)

% Wang-Buzsaki neuron.
% Xiao-Jing Wang and Gyorgy Buzsaki.  Gamma Oscillation by Synaptic Inhibition in a Hippocampal Interneuronal Network
% Model.  Journal of Neuroscience 16(20), 1996, pp. 6402-6413.

%-----------------------------------------------------------------------------------------------------------------------

function f = CNSFields

f.E_L_dflt  = -65;
f.E_Na_dflt = 55;
f.E_K_dflt  = -90;

f.g_Nabar = {'lp', 'private'}; % Sodium conductance (uS).
f.g_Kbar  = {'lp', 'private'}; % Potassium conductance (uS).

f.g_L_spec     = 0.1  * 1e3; % (uS/cm2)
f.g_Nabar_spec = 35.0 * 1e3; % (uS/cm2)
f.g_Kbar_spec  = 9.0  * 1e3; % (uS/cm2)

f.h = {'cv', 'private'}; % Sodium inactivation (dimensionless).
f.n = {'cv', 'private'}; % Potassium activation (dimensionless).

end

%-----------------------------------------------------------------------------------------------------------------------

end
end